# _____       _    _    Corso   Italia,  178
# (_|__   .  (_   |_|_  56125           Pisa
# (_|_) |)|(()_)()| |   tel.  +39  050 46380
#   |   |               picosoft@picosoft.it

#  Copyright (C) Picosoft s.r.l. 1995-2002

#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2, or (at your option)
#  any later version.

#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.

#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

CC=gcc
CFLAGS=-O -Wall -DTRANSACTION
OFLAGS=-static -O
OBJS=picoisam.o picolog.o
HDRS=picoisam.h picolog.h isam.h
#CFLAGS=-DHAS_FDATASYNC -DAUDIT_TRAIL -DTRANSACTION
PICHECK=../bin/pIcheck
PIRECOVER=../bin/pIrecover
LIBPISAM=../lib/libpisam.a

all:$(PICHECK) $(PIRECOVER)

$(PICHECK):pIcheck.o $(LIBPISAM)
	$(CC) $(OFLAGS) -o $(PICHECK) pIcheck.o $(LIBPISAM)

$(PIRECOVER):pIrecover.o $(LIBPISAM)
	$(CC) $(OFLAGS) -o $(PIRECOVER) pIrecover.o $(LIBPISAM)

$(LIBPISAM):$(OBJS)
	ar -rv $(LIBPISAM) $(OBJS)

pIcheck.o:pIcheck.c $(HDRS)
	$(CC) -c $(CFLAGS) pIcheck.c

pIrecover.o:pIrecover.c $(HDRS)
	$(CC) -c $(CFLAGS) pIrecover.c

picoisam.o:picoisam.c $(HDRS)
	$(CC) -c $(CFLAGS) picoisam.c

picolog.o:picolog.c $(HDRS)
	$(CC) -c $(CFLAGS) picolog.c

clean:
	rm -f *.o $(PICHECK) $(PIRECOVER) $(LIBPISAM)
